/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */

@mixin spinner($width: 50px) {
  &::after {
    z-index: 99;
    content: "";
    box-sizing: border-box;
    position: absolute;
    top: 50%;
    left: 50%;
    width: $width;
    height: $width;
    margin-top: -$width/2;
    margin-left: -$width/2;
    border-radius: 50%;
    border: $width/10 solid #ccc;
    border-top-color: $brand-primary;
    animation: spinner 1s linear infinite;
  }
}
@keyframes spinner {
  to {transform: rotate(360deg);}
}
